Ir al centro de documentación
Contact technical support![]()
Página anterior Página siguiente
POST http://IP-address:port/prefix/grpc
Request body:
{
"method":"AxxonSoft.bl.logic.LogicService.ListMacros",
"data": {
"view": "VIEW_MODE_FULL"
}
}
Note
VIEW_MODE_FULL − complete information;
VIEW_MODE_STRIPPED − only basic information about macros without the launch and operation conditions.
{
"method":"AxxonSoft.bl.logic.LogicService.BatchGetMacros",
"data":{
"macros_ids" : ["cfd41b18-c983-4a48-aaa1-ca7e666e6e49"]
}
}
Attention!
Requests for creating and changing a macro should contain its entire structure.
Creating:
{
"method": "AxxonSoft.bl.logic.LogicService.ChangeMacros",
"data": {
"added_macros": {
"guid": "3303abb2-181e-4183-8987-8a06c309a741",
"name": "TEST_MACRO",
"mode": {
"enabled": true,
"user_role": "",
"is_add_to_menu": true,
"common": {}
},
"conditions": {
"0": {
"path": "/C:0",
"archive_write": {
"camera": "hosts/SERVER1/DeviceIpint.1/SourceEndpoint.video:0:0",
"state": "ON"
}
},
"1": {
"path": "/C:0",
"archive_write": {
"camera": "hosts/SERVER1/DeviceIpint.1/SourceEndpoint.video:0:0",
"state": "ON"
}
}
},
"rules": {
"0": {
"path": "/E:0",
"action": {
"timeout_ms": 60000,
"cancel_conditions": {},
"action": {
"raise_alert": {
"zone": "",
"archive": "",
"offset_ms": 0,
"mode": "RAM_AlwaysIfNoActiveAlert"
}
}
}
},
"1": {
"path": "/E:0",
"action": {
"timeout_ms": 60000,
"cancel_conditions": {},
"action": {
"raise_alert": {
"zone": "",
"archive": "",
"offset_ms": 0,
"mode": "RAM_AlwaysIfNoActiveAlert"
}
}
}
}
}
}
}
}
Changing (removing conditions and rules):
Note
Leave empty curly brackets { } in the conditions and rules groups.
{
"method": "AxxonSoft.bl.logic.LogicService.ChangeMacros",
"data": {
"modified_macros": {
"guid": "3303abb2-181e-4183-8987-8a06c309a741",
"mode": {
"common": {}
},
"conditions": {
"0": {}
},
"rules": {
"1": {}
}
}
}
}
Removing:
{
"method":"AxxonSoft.bl.logic.LogicService.ChangeMacros",
"data":{
"removed_macros" : ["3303abb2-181e-4183-8987-8a06c309a741"]
}
}
{
"method":"AxxonSoft.bl.logic.LogicService.LaunchMacro",
"data":{
"macro_id" : "caef76f0-37e9-43b0-aba6-c2a2f32ccd2f"
}
}
Get information on automatic rule
Response:
Create a macro.